import React from 'react';

import { Image, Modal } from 'antd';

import { IBanner } from './types';

import { Swiper, SwiperSlide } from 'swiper/react';
import './common.less';

import 'swiper/swiper.less';

interface IProps {
  visible: boolean;
  bannerList: IBanner[];
  opraPreviewModal: (_visible: boolean) => void;
}

const SwiperCom: React.FC<IProps> = ({ bannerList, visible, opraPreviewModal }) => {
  return (
    <Modal
      visible={visible}
      width={512}
      onCancel={() => opraPreviewModal(false)}
      onOk={() => opraPreviewModal(false)}
      closeIcon
      maskClosable={false}
    >
      <Swiper
        autoplay
        spaceBetween={50}
        slidesPerView={1}
        onSlideChange={() => console.log('slide change')}
        onSwiper={(swiper) => console.log(swiper)}
      >
        {bannerList
          .filter((_banner) => _banner.isShow)
          .map((banner) => (
            <SwiperSlide key={banner.imgUrl}>
              <Image
                style={{ objectFit: 'cover' }}
                key={banner.imgUrl}
                preview={false}
                src={banner.imgUrl}
                width={466}
                height={200}
              />
            </SwiperSlide>
          ))}
      </Swiper>

      {/* <Carousel 
        autoplay
      >
        {
          bannerList.filter( _banner =>  _banner.isShow ).map( banner => 
            <Image 
              style={{objectFit: 'cover'}} 
              key={banner.imgUrl} 
              preview={false} 
              src={banner.imgUrl} 
              width={466} 
              height={200} 
            />
         )
        }
      </Carousel> */}
    </Modal>
  );
};

export default SwiperCom;
