import React from 'react'
import { Modal, Form } from 'antd'

import type { modalType } from './data'

import { filterTimestamp } from '@/filters/index'

const layout = {
    labelCol: { span: 5 },
    wrapperCol: { span: 16 },
};

const DetailModal: React.FC<modalType> = (
    {
        visible,
        detailData,
        closeModal
    }
    ) => {
    return (
        <Modal visible={visible} title="详情" onOk={closeModal} onCancel={closeModal}>
            <Form
                {...layout}
                >
                <Form.Item
                    label="帖子标题"
                >
                    <span>{detailData.label}</span>
                </Form.Item>
                <Form.Item
                    label="帖子内容"
                >
                    <span>{detailData.content}</span>
                </Form.Item>
                <Form.Item
                    label="分类名称"
                >
                    <span>分类名称</span>
                </Form.Item>
                <Form.Item
                    label="所属贴吧板块"
                >
                    <span>{detailData.barLabel}</span>
                </Form.Item>
                <Form.Item
                    label="展示范围"
                >
                    <span>北京园长、</span>
                </Form.Item>
                <Form.Item
                    label="发布人"
                >
                    <span>{detailData.authorName}</span>
                </Form.Item>
                <Form.Item
                    label="发布时间"
                >
                    <span>{filterTimestamp(detailData.createTime)}</span>
                </Form.Item>
            </Form>
        </Modal>
    )
}

export default DetailModal