import React, { useEffect, useState } from 'react';

import { Modal, Input, Row, Col, message } from 'antd';

import PicturesWall from '@/components/upload';

import { WeappItem } from '@/types/index';

interface IProps {
  visible: boolean;
  onSubmit: (state: IState) => void;
  closeModal: () => void;
  curWeapp: WeappItem;
  type: 'edit' | 'add';
}

interface IState {
  cover: string;
  name: string;
  appId: string;
  id: string;
}

const WeappModal: React.FC<IProps> = ({ visible, onSubmit, closeModal, curWeapp, type }) => {
  console.log(curWeapp, 'curWeapp');

  const [state, setState] = useState<IState>({
    cover: '',
    name: '',
    appId: '',
    id: '',
  });

  useEffect(() => {
    setState({
      cover: curWeapp.cover,
      name: curWeapp.name,
      appId: curWeapp.appId,
      id: curWeapp.id,
    });
  }, [curWeapp]);

  const { cover, name, appId, id } = state;

  console.log(cover, name, appId, id, 'cover, name , appId, id');

  const setCoverFn = (_cover: string) => {
    setState({
      ...state,
      cover: _cover,
    });
  };

  const onChangeName = (e: React.ChangeEvent<HTMLInputElement>) => {
    setState({
      ...state,
      name: e.target.value,
    });
  };

  const onChangeAppid = (e: React.ChangeEvent<HTMLInputElement>) => {
    setState({
      ...state,
      appId: e.target.value,
    });
  };

  const onOk = () => {
    if (verfiyState()) {
      onSubmit(state);
    } else {
      message.warning('请填写完整');
    }
  };

  const verfiyState = (): boolean => {
    let r: boolean = true;
    Object.keys(state).forEach((key) => {
      console.log(state[key], 'state[key]');
      if (type === 'add' && key === 'id') {
      } else if (!state[key]) {
        r = false;
      }
    });
    return r;
  };

  return (
    <Modal
      width="400px"
      visible={visible}
      title={type === 'add' ? '新增小程序' : '编辑小程序'}
      onOk={onOk}
      onCancel={closeModal}
    >
      <Row align="middle">
        <Col span={6}>小程序图标:</Col>
        <Col span={6}>
          <PicturesWall
            key={cover}
            imgUrl={cover}
            desc="点击上传"
            maxCount={1}
            setCoverFn={setCoverFn}
          />
        </Col>
      </Row>
      <Row align="middle" style={{ marginTop: '14px' }}>
        <Col span={6}>小程序名称:</Col>
        <Col span={12}>
          <Input value={name} onChange={onChangeName} />
        </Col>
      </Row>
      <Row align="middle" style={{ marginTop: '14px' }}>
        <Col span={6}>appId:</Col>
        <Col span={12}>
          <Input value={appId} onChange={onChangeAppid} />
        </Col>
      </Row>
    </Modal>
  );
};

export default WeappModal;
